質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.93%

Railsでbundle installするとエラーになってしまう。

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 2,108

koume

score 162

仮想環境を構築中です。初心者なのでよろしくお願いします。(ホストOSはwindows10です。)
インストールした内容は下記になります。
vagrant1.9.5
virtualbox5.1.22
centos7
ruby2.2.7
rails5.1.1
MySQL5.6.36
[vagrant@localhost ~]$ rails new ringo -d mysql --skip-bundle を実行。

bundle installしようとした手順。
Windows PowesShellを立ち上げる。
cd Kinoko (今後、複数の仮想マシンを作ることを想定して作り、それらをまとめるフォルダに移動)
cd Ringo   (仮想マシンを作るためのフォルダも作りそこに移動)
C:¥Users¥abc¥Kinoko¥Ringo>
vagrant up

PuTTYを立ち上げる。
ssh接続完了。 
[vagrant@localhost ~]$ と表示。

Cyberduck立ち上げる。
/home/vagrantに移動
ringoディレクトリにgemfileができているのを確認。

PuTTYに戻り
[vagrant@localhost ~]$ bundle install を実行。
Could not locate Gemfile 
ディレクトリにGemfileが無いようなエラーが出ました。そこで、     
[vagrant@localhost ~]$ cd ringoでringoディレクトリに移動し[vagrant@localhost ringo]$ bundle install実行。
動き始めた!と思ったら・・・・
①そもそもこのディレクトリに移動したのがダメだったのか?

.
.
Fetching mysql2 0.4.6
Installing mysql2 0.4.6 with native extensions
.
.
Gem::Ext::BuildError: ERROR: Failed to build gem native extension.
.
.
-----
mysql client is missing. You may need to 'apt-get install libmysqlclient-dev' or
'yum install mysql-devel', and try again.
-----
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of necessary
libraries and/or headers.  Check the mkmf.log file for more details.  You may
need configuration options.
.
.
extconf failed, exit code 1

Gem files will remain installed in
/home/vagrant/.rbenv/versions/2.2.7/lib/ruby/gems/2.2.0/gems/mysql2-0.4.6 for
inspection.
Results logged to
/home/vagrant/.rbenv/versions/2.2.7/lib/ruby/gems/2.2.0/extensions/x86_64-linux/2.2.0-static/mysql2-0.4.6/gem_make.out

An error occurred while installing mysql2 (0.4.6), and Bundler cannot
continue.
Make sure that `gem install mysql2 -v '0.4.6'` succeeds before bundling.
In Gemfile:
mysqls2


上記エラーが出ます。

[vagrant@localhost ringo]$ gem install mysql2 -v '0.4.6'


と実行してみました。

Building native extensions.  This could take a while...
ERROR:  Error installing mysql2:
        ERROR: Failed to build gem native extension.
.
.
-----
mysql client is missing. You may need to 'apt-get install libmysqlclient-dev' or 'yum install mysql-devel', and try again.
-----
*** extconf.rb failed ***
Could not create Makefile due to some reason, probably lack of necessary
libraries and/or headers.  Check the mkmf.log file for more details.  You may
need configuration options.
.
.
extconf failed, exit code 1

Gem files will remain installed in /home/vagrant/.rbenv/versions/2.2.7/lib/ruby/gems/2.2.0/gems/mysql2-0.4.6 for inspection.
Results logged to /home/vagrant/.rbenv/versions/2.2.7/lib/ruby/gems/2.2.0/extensions/x86_64-linux/2.2.0-static/mysql2-0.4.6/gem_make.out


エラーが出ます。また、ネットで検索して意味不明なまま[vagrant@localhost ringo]$ yum install mysql-devel
も実行してみたらいいとあったのでやってみましたが

Loaded plugins: fastestmirror
You need to be root to perform this command.


と出てきました。どうしたらいいのか対処方法がわからずに嵌っております。どこをどうすればいいのでしょうか?
$ bundle installするにはどうすればいいのでしょうか?どなたか解決方法教えていただけませんでしょうか?
よろしくお願いします。

追記
また、ローカルディスクのC:¥Users¥abc¥Kinoko¥Ringo の中にはringoディレクトリはなかったのですがそれも関係あるのでしょうか?Ringoフォルダには.vagrantとvagrantfileしか無かったので不安です。
/home/vagrantからringoフォルダをコピーしておいた方がいいのかも教えていただければと思います。無くても大丈夫なのであればいいのですが・・・

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

問題の連鎖は、以下のようになっています。

  1. bundle installが失敗する
  2. Gemfileに書いてあるmysql2がインストールできない
  3. vagrantのLinux環境にmysqlのライブラリがない
  4. yum install がrootでないために失敗する

ということで、sudo yum installもしくはsu -してからyum installで入れましょう。

P.S. 今回の場合、どうすればいいかはメッセージを読めば全部書かれています。一定レベル以上に行こうと考えると、英語を読むスキルは必須と言ってもいいでしょう。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/05/25 17:18

    さっそくの回答本当にありがとうございます。完璧でした。本当に助かりました。プログラミングの勉強も想像以上に大変ですが、ご指摘のように英語についても学習の必要性を感じました。今後ともよろしくお願いします。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.93%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る